#!/usr/bin/env bash

mysql_check=$(mysqladmin -u${db_user:-root} -p${db_password:-root} ping 2>/dev/null | grep -c "mysqld is alive")

if [ ${mysql_check} -ne 1 ]; then
	die "WordPress was not installed. Installation was stopped as we can not connect to the database"
	return 1
fi

db_check=$(wp db query 'show tables;' 2>&1 | grep -c "Unknown database")

echo ${db_check}
